# Liquidity Mining Program

The primary goal of the Liquidity Mining Program is to amplify the Total Value Locked (TVL) of sBTC and STX through staking on Papaya. Participants can achieve this by staking either sBTC or STX, after which they will be awarded the PAPA token. The amount of PAPA tokens one receives is directly proportional to the liquidity they provide.

{% hint style="info" %}
28% of all PAPA tokens have been set aside specifically for this program, which will be released over a span of 12 years
{% endhint %}

The method to calculate rewards is based on the revenue share, factoring in the amount of PAPA tokens a participant has staked compared to the overall staked PAPA tokens. The specific formula for liquidity mining rewards is as follows, given:\
\
$$T\_{s}$$: Total supply of stSTX\
$$T\_{b}$$: Total supply of stBTC\
$$H\_{s}$$: A users STX holdings\
$$H\_b$$: A users BTC holdings\
$$V\_s$$: Price of STX\
$$V\_b$$: Price of BTC\
$$R\_{sb}$$: Value Ratio of STX to BTC\
$$\Delta\_{papa}$$: Papa Liquidity Mining Rewards released this cycle

The ratio of STX value to Bitcoin value is determined by the STX/BTC swap price determined by an Oracle.

$$
R\_{sb} = \frac{V\_b}{V\_s}
$$

A user’s liquidity mining rewards for the current cycle are then determined by:

$$
P\_{r} = \frac{H\_s + R\_{sb} \cdot H\_b}{T\_s + R\_{sb} \cdot T\_b} \cdot \Delta\_{papa}
$$

To be eligible, users must stake either sBTC or STX on Papaya. Additionally, there's a lockup stipulation which requires participants to maintain their staked liquidity for an entire cycle to be considered for rewards.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.papaya.fi/v1/liquidity-mining-program.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
